Bug 818458 - Review Request: rubygem-ruby-debug19 - Command line interface (CLI) for ruby-debug-base
Review Request: rubygem-ruby-debug19 - Command line interface (CLI) for ruby-...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On: 818457
Blocks: 816703
  Show dependency treegraph
 
Reported: 2012-05-03 03:19 EDT by Mamoru TASAKA
Modified: 2012-11-08 21:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 21:10:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkabrda: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2012-05-03 03:19:14 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/ruby-debug-related/rubygem-ruby-debug19.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/ruby-debug-related/rubygem-ruby-debug19-0.11.6-1.fc.src.rpm
Description: 
A generic command line interface for ruby-debug.

mock build for f17 (koji scratch build not available because this depends on
another review request bug 818457)
http://mtasaka.fedorapeople.org/Review_request/ruby-debug-related/MOCK-rubygem-ruby-debug19.log
Comment 2 Toby Ovod-Everett 2012-10-21 11:40:55 EDT
This is just a comment from one user to encourage someone to take on the review of this package (and it's Depends On, 818457).  I noticed that Mamoru TASAKA and Bohuslav "Slavek" Kabrda were very successful in getting rubygem-linecache19 through QA and released (thanks!), but rubygem-ruby-debug19 and rubygem-ruby-debug-base19 seem to be stalled.

My goal as an end user is to have ruby itself and a minimal set of additional packages (ruby-devel, rubygem-bundler, rubygem-rake, and their dependencies) installed and then to manage all the other gems (including rails, rack, etc.) using bundler on a per-user basis.

This seems to be working reasonably well, but I can't use bundler to install ruby-debug19 because the various gems involved all appear to require a full copy of the source tree (or at least files that aren't included in ruby-devel, like vm_core.h).  I'd rather not have to keep installing the source tree on a per-user basis and customizing bundler in order to get it to find the source tree (plus worrying about keeping it up-to-date every time there's a backport of a patch).

As a result, I'd like to add ruby-debug19 into my list of minimal additional packages, but unfortunately Mamoru TASAKA's work seems to be hung up waiting for someone else to do a package review.

As it is, I'll just live without the debugger, but it would be really cool if someone (perhaps even Bohuslav "Slavek" Kabrda) were to do the package review on the two debug19 packages.  I just learned that the package review process exists from reading the history on https://bugzilla.redhat.com/show_bug.cgi?id=818454, which should explain why I am not qualified or permitted to do one!

Thanks so much for the work you are all doing to make Ruby easier to use on Fedora - it is really appreciated.
Comment 3 Bohuslav "Slavek" Kabrda 2012-10-25 07:12:12 EDT
Hi Toby, thanks for your kind words about making Ruby easier to use on Fedora :) Although I have almost no time to spare, I'll take this review.
Comment 4 Bohuslav "Slavek" Kabrda 2012-10-25 07:30:27 EDT
The specfile is clean, the package builds and works fine. The only tiny thing that I was able to find is, that you're missing popd in pair to pushd in %check, but I'm only mentioning that because I don't know what else to say :)

Package is APPROVED.
Comment 5 Mamoru TASAKA 2012-10-25 20:42:35 EDT
Okay, I will add popd for consistency, thank you for reviewing.
Comment 6 Mamoru TASAKA 2012-10-25 21:09:50 EDT
New Package SCM Request
=======================
Package Name: rubygem-ruby-debug19
Short Description: Command line interface (CLI) for ruby-debug-base
Owners: mtasaka
Branches: 
InitialCC: f18 f17
Comment 7 Gwyn Ciesla 2012-10-26 07:26:32 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-10-26 15:36:41 EDT
rubygem-ruby-debug19-0.11.6-3.fc18, rubygem-ruby-debug-base19-0.11.26-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-16935/rubygem-ruby-debug19-0.11.6-3.fc18,rubygem-ruby-debug-base19-0.11.26-3.fc18
Comment 9 Fedora Update System 2012-10-26 15:37:00 EDT
rubygem-ruby-debug19-0.11.6-3.fc17, rubygem-ruby-debug-base19-0.11.26-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-ruby-debug19-0.11.6-3.fc17,rubygem-ruby-debug-base19-0.11.26-3.fc17
Comment 10 Mamoru TASAKA 2012-10-26 15:43:36 EDT
@Bohuslav Thank you for review.
@Toby, please try rubygem-ruby-debug19 and -debug-base19 rpms when testing packages are available.
Comment 11 Vít Ondruch 2012-10-29 05:20:39 EDT
Hi Mamoru,

Thanks for the packages.

I see that you already retired rubygem-ruby-debug and rubygem-ruby-debug-base, but could you please also request RelEngs to block the packages? It would be nice to retire and block rubygem-linecache as well. Thank you.
Comment 12 Toby Ovod-Everett 2012-10-31 16:38:14 EDT
Sorry for the delay in testing.  I just installed rubygem-ruby-debug19 from the testing repository along with all the dependencies (it picked up rubygem-ruby-debug-base19 from testing, rubygem-linecache19 from updates, and rubygem-columnize from fedora) and everything went smoothly.  The debugger appears to work correctly (I uncommented the ruby-debug19 line in my Gemfile, bundle install found the machine version without any problem, and I was able to start rails with the debugger and successfully break into the debugger by inserting a debugger line into my source).

Thank you all so much!
Comment 13 Mamoru TASAKA 2012-11-02 00:11:30 EDT
(In reply to comment #11)
> Hi Mamoru,
> 
> Thanks for the packages.
> 
> I see that you already retired rubygem-ruby-debug and
> rubygem-ruby-debug-base, but could you please also request RelEngs to block
> the packages? It would be nice to retire and block rubygem-linecache as
> well. Thank you.

I want to do this after F-18 one is pushed into stable, i.e. F-18 beta freeze is over (I also want to block this on F-18).
Comment 14 Vít Ondruch 2012-11-02 03:12:12 EDT
I see you have everything under control. Great! Thank you :)
Comment 15 Fedora Update System 2012-11-07 20:59:04 EST
rubygem-ruby-debug19-0.11.6-3.fc17, rubygem-ruby-debug-base19-0.11.26-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2012-11-08 01:48:41 EST
rubygem-ruby-debug19-0.11.6-3.fc18, rubygem-ruby-debug-base19-0.11.26-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 17 Mamoru TASAKA 2012-11-08 21:10:12 EST
(In reply to comment #11)
> Hi Mamoru,
> 
> Thanks for the packages.
> 
> I see that you already retired rubygem-ruby-debug and
> rubygem-ruby-debug-base, but could you please also request RelEngs to block
> the packages? It would be nice to retire and block rubygem-linecache as
> well. Thank you.

Filed:
https://fedorahosted.org/rel-eng/ticket/5388

Closing this bug. Thank you, everyone.

Note You need to log in before you can comment on or make changes to this bug.